Package weka.knowledgeflow

# Class JSONFlowLoader

java.lang.Object
weka.knowledgeflow.JSONFlowLoader

All Implemented Interfaces:
  `FlowLoader`

public class JSONFlowLoader extends Object implements FlowLoader
Flow loader that wraps the routines in JSONFlowUtils

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXTENSION`
  The file exetension for JSON-based flows

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSONFlowLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFlowFileExtension()`
  Get the file extension handled by this loader
  `String`
  `getFlowFileExtensionDescription()`
  Get the description of the file format handled by this loader
  `Flow`
  `readFlow(File flowFile)`
  Read the flow from the supplied file
  `Flow`
  `readFlow(InputStream is)`
  Read the flow from the supplied input stream
  `Flow`
  `readFlow(Reader r)`
  Read the flow from the supplied reader
  `void`
  `setLog(Logger log)`
  Set a log to use

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXTENSION

    public static final String EXTENSION
    The file exetension for JSON-based flows
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JSONFlowLoader

    public JSONFlowLoader()

- ## Method Details

  - ### setLog

    public void setLog(Logger log)
    Set a log to use
    Specified by:
      `setLog` in interface `FlowLoader`
    Parameters:
      `log` - log to use

  - ### getFlowFileExtension

    public String getFlowFileExtension()
    Get the file extension handled by this loader
    Specified by:
      `getFlowFileExtension` in interface `FlowLoader`
    Returns:
      the file extension

  - ### getFlowFileExtensionDescription

    public String getFlowFileExtensionDescription()
    Get the description of the file format handled by this loader
    Specified by:
      `getFlowFileExtensionDescription` in interface `FlowLoader`
    Returns:
      the description of the file format handled

  - ### readFlow

    public Flow readFlow(File flowFile) throws WekaException
    Read the flow from the supplied file
    Specified by:
      `readFlow` in interface `FlowLoader`
    Parameters:
      `flowFile` - the file to load from
    Returns:
      the Flow read
    Throws:
      `WekaException` - if a problem occurs

  - ### readFlow

    public Flow readFlow(InputStream is) throws WekaException
    Read the flow from the supplied input stream
    Specified by:
      `readFlow` in interface `FlowLoader`
    Parameters:
      `is` - the input stream to load from
    Returns:
      the Flow read
    Throws:
      `WekaException`

  - ### readFlow

    public Flow readFlow(Reader r) throws WekaException
    Read the flow from the supplied reader
    Specified by:
      `readFlow` in interface `FlowLoader`
    Parameters:
      `r` - the reader to load from
    Returns:
      the Flow read
    Throws:
      `WekaException` - if a problem occurs